%global pypi_name fuzzywuzzy

Name:           python-%{pypi_name}
Version:        0.18.0
Release:    4%{?dist}
Summary:        Fuzzy string matching in Python

License:        MIT
URL:            https://github.com/seatgeek/fuzzywuzzy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Fuzzy string matching module that uses Levenshtein Distance to calculate the
differences between sequences in a simple-to-use package.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Fuzzy string matching module that uses Levenshtein Distance to calculate the
differences between sequences in a simple-to-use package.

%prep
%setup -q -n %{pypi_name}-%{version}
sed -i '1d' %{pypi_name}/{fuzz.py,process.py,StringMatcher.py}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
sed -i -e '/import pycodestyle/d' -e 's/test_pep8_conformance/notest_pep8_conformance/' test_fuzzywuzzy.py


%build
%py3_build


%install
%py3_install

%check
%{__python3} -m unittest

%files -n python3-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.18.0-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.18.0-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.18.0-2
- Rebuilt for loongarch64

* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.0-1
- initial build
